<?php
/**
 * Security Officer: Block Patterns
 *
 * @since Security Officer 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Security Officer 1.0
 *
 * @return void
 */
function security_officer_register_block_patterns() {
	$security_officer_block_pattern_categories = array(
		'security-officer'    => array( 'label' => __( 'Security Officer', 'security-officer' ) ),
	);

	$security_officer_block_pattern_categories = apply_filters( 'security_officer_block_pattern_categories', $security_officer_block_pattern_categories );

	foreach ( $security_officer_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'security_officer_register_block_patterns', 9 );
